Bug 443385 - Firefox refuses to connect to http://127.0.0.1/ when "offline"
Firefox refuses to connect to http://127.0.0.1/ when "offline"
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 05:54 EDT by Hans Ulrich Niedermann
Modified: 2008-07-25 19:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 19:12:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 87717 None None None Never

  None (edit)
Description Hans Ulrich Niedermann 2008-04-21 05:54:27 EDT
Description of problem:

  When firefox is in "offline" mode, firefox refuses to even try to
  connect to URIs like e.g. http://127.0.0.1/

  This means local (!) web development on laptop is not possible without
  workarounds when no internet connection exists.

Version-Release number of selected component (if applicable):

  firefox-3.0-0.54.beta5.fc9.i386

How reproducible:

  every time

Steps to Reproduce:
1. Let a webserver listen on 127.0.0.1
2. Unplug network cable
3. Try accessing http://127.0.0.1/
  
Actual results:

     Offline Mode

     Firefox is currently in offline mode and can't browse the Web.

     The browser is operating in its offline mode and cannot connect
     to the requested item.

        * Is the computer connected to an active network?
        * Place the browser in online mode and try again.

Expected results:

  The local web page.

Additional info:
Comment 1 Bug Zapper 2008-05-14 05:50:17 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matěj Cepl 2008-07-25 19:12:22 EDT
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=87717) and believe that it is more
appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.